/****************************************************************/
/* Tells Weasel to go on-line and send the outbound mail.       */
/* Note: Must be in the same directory as Weasel.EXE            */
/*                                                              */
/*       Programmer:      P. Moylan                             */
/*       Last modified:   18 August 2000                        */
/*                                                              */
/* Prerequisite: for this to work you must have RXU.DLL in      */
/* your LIBPATH.  RXU, a Rexx library written by Dave Boll, is  */
/* available from Hobbes with the name rxu1a.zip.               */
/****************************************************************/

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* Switch our working directory to the program directory */

PARSE SOURCE rubbish rubbish SrcDir
j = LASTPOS('\', SrcDir)
IF j > 0 THEN SrcDir = LEFT(SrcDir, j-1)
WrkDir = DIRECTORY()
CALL DIRECTORY SrcDir

/* Work out the location of the 'Forward' directory. */

Nul = '00'X
FileMask = SysIni('WEASEL.INI', '$SYS', 'MailRoot')
j = POS(Nul,FileMask)
IF j > 0 THEN FileMask = LEFT(FileMask, j-1)
FileMask = STRIP(FileMask)
FileMask = TRANSLATE(FileMask, '\', '/')||'forward\*.FWD'

/* Put an "online" file into our directory. */

call stream 'ONLINE', 'C', 'open write'
call stream 'ONLINE', 'C', 'close'

/* Tell Weasel to re-check for outgoing mail. */

call rxfuncadd 'rxuinit','rxu','rxuinit'
call rxuinit
SemName = "\SEM32\WEASEL\FORWARDMAIL"
if RxOpenEventSem(hev, SemName) \= 0 then
    rc = RxCreateEventSem( hev ,'Shared', SemName, 'Reset')
call RxPostEventSem hev
call RxResetEventSem hev
call RxCloseEventSem hev
call RxuTerm

/* Wait until the 'forward' directory is empty. */

call charout ,'  Items left: '
parse value SysCurPos() with row col
do forever
   call SysFileTree FileMask, 'list', 'F'
   call SysCurPos row, col
   say list.0'      '
   IF list.0 = 0 THEN LEAVE
   call SysSleep 3
   end

/* Take Weasel offline. */

call SysFileDelete 'ONLINE'

CALL DIRECTORY WrkDir
exit
